# startrasobj

![Parralels](https://www.parallels.com/static/pl/fileadmin/res/img/navigation/pl-logo-dk.png)

## AppserverClient Command Line Interface

### startrasobj

starts a published object from a RAS connection.

**Category: RAS-Connections**

```
AppServerClientCLI startrasobj -id ras:61:34 [-waitforid [20]] [-dismisserrortime 5] [returnpath] [-window 12345]  
```

### Arguments

* **`id (mandatory)`** Specify the published item ID to use.
* **`waitforid (optional)`** Wait for sessionid then return it. See notes for further information. Has no effect on local applications.
* **`dismisserrortime (optional)`** Time in seconds before the error message is automatically dismissed. A value of -1 will not show the error. Has no effect on local applications.
* **`returnpath (optional)`** When set, the command will return the arguments required to start the application instead of starting it.
* **`window (optional)`** Specify the window handle that will be used as the parent to any UI required.

### Return codes:

ok - Command was successful\
NotAvailable - Communication with the client backend failed, ensure that the client is running\
InvalidId - Invalid connection, object or session ID\
InvalidArgs - Some arguments are missing or invalid\
Exception - System problem

### Examples:

AppServerClientCLI startrasobj -id ras:61:34\
AppServerClientCLI startrasobj -id ras:61:34 -waitforid\
AppServerClientCLI startrasobj -id ras:61:34 -waitforid 20

### Notes:

If you use waitforid, the CLI will wait until the session is started and its ID is returned. waitforid can take the time in seconds after which the command would timeout as an argument.

### See also:

[logonras](/landing/ras-windows-cli-guide/v20/commands/logonras.md)\
[logoffras](/landing/ras-windows-cli-guide/v20/commands/logoffras.md)\
[logoffallras](/landing/ras-windows-cli-guide/v20/commands/logoffallras.md)\
[logoffrassession](/landing/ras-windows-cli-guide/v20/commands/logoffrassession.md)\
[savefavorites](/landing/ras-windows-cli-guide/v20/commands/savefavorites.md)\
[disconnectras](/landing/ras-windows-cli-guide/v20/commands/disconnectras.md)\
[disconnectallras](/landing/ras-windows-cli-guide/v20/commands/disconnectallras.md)\
[getloggedrasinfo](/landing/ras-windows-cli-guide/v20/commands/getloggedrasinfo.md)\
[getraspolicyinfo](/landing/ras-windows-cli-guide/v20/commands/getraspolicyinfo.md)\
[getpublicipinfo](/landing/ras-windows-cli-guide/v20/commands/getpublicipinfo.md)\
[clearpublicipinfo](/landing/ras-windows-cli-guide/v20/commands/clearpublicipinfo.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-windows-cli-guide/v20/commands/startrasobj.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
